Page MenuHomeFreeBSD

Update devel/gitaly to 0.82.0
ClosedPublic

Authored by mfechner on Mar 27 2018, 11:32 AM.

Details

Summary

Commit message:
Update to version 0.82.0 which is required for gitlab 10.5.x.

Reviewed by: tz/swills (mentor)
Approved by: tz/swills (mentor)
Differential Revision: URL to this revision

Test Plan

All patches are build, you can find all build logs:
https://pkg.fechner.net/jail.html?mastername=111amd64-gitlab

The fresh packages are tested against a new installation using:
https://gitlab.fechner.net/mfechner/Gitlab-vagrant

An old version is updated following the manual:
https://gitlab.fechner.net/mfechner/Gitlab-docu

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Could you use devel/arcanist, or at least generate a diff with full context like it does, with svn diff -x -U9999 or git diff -U9999.

devel/gitaly/Makefile
7 ↗(On Diff #40789)

USE_GITLAB

If you would like to see a full diff, you can also check it my gitlab installation:
https://gitlab.fechner.net/mfechner/Gitlab/tree/10.5/devel/gitaly

devel/gitaly/Makefile
7 ↗(On Diff #40789)

could we please postpone this to the next release. This is a security release which was very time consuming to test and we should bring it as fast as possible to the repository.
I will address such changes later, as it is only cosmetic nature.

Is this ok for you?

mfechner added inline comments.
devel/gitaly/Makefile
7 ↗(On Diff #40789)

It is here tracked to not forget it:
https://gitlab.fechner.net/mfechner/Gitlab/issues/11

In D14867#312863, @idefix_fechner.net wrote:

If you would like to see a full diff, you can also check it my gitlab installation:
https://gitlab.fechner.net/mfechner/Gitlab/tree/10.5/devel/gitaly

I would like you to upload the full diff here, in the FreeBSD code review tool, not in some other tool that I'll have to understand how it works and all.

@mat I attached you the diff generated with svn diff -x -U9999

mfechner added inline comments.
devel/gitaly/Makefile
7 ↗(On Diff #40789)

Dear @mat

I tried now to use USE_GITLAB but it seems not to work.
I see the error message:
https://pkg.fechner.net/data/111amd64-gitlab/2018-04-03_08h29m42s/logs/errors/gitaly-0.82.0.log

It looks to me that FreeBSD does not handle the directories correctly.

I will attach you the full diff, maybe you can help here.

tz requested changes to this revision.Apr 3 2018, 9:23 AM
tz added inline comments.
devel/gitaly/Makefile
17 ↗(On Diff #41014)

There is an whitespace missing

devel/gitaly/files/patch-Makefile
17 ↗(On Diff #41014)

I highly doubt the use of "bundle install" since it will very likely install something and ignores pkg. This defeats the purpose of the dependencies and should be removed. Or did i miss something?

This revision now requires changes to proceed.Apr 3 2018, 9:23 AM
devel/gitaly/Makefile
7 ↗(On Diff #40789)

You forgot to remove the post-extract target.

Also, you should probably change all occurrences of WRKDIR/DISTNAME to WRKSRC.

Side note, USE_GITLAB and all associated variables must happen in the same block as USES.

mfechner added inline comments.
devel/gitaly/files/patch-Makefile
17 ↗(On Diff #41014)

Dear @tz yes you miss something.
The procedure it to delete the Gemfile.lock to not depend on the exact version the Gemfile.lock mentions and then run bundle install --local to generate a new Gemfile.lock which only includes the local installed gems. No installation is happening as --local is used.

mfechner marked an inline comment as done.

Updated diff from comments.

devel/gitaly/Makefile
7 ↗(On Diff #40789)

Thanks a lot @mat I fixed it and testbuild was fine.

This revision is now accepted and ready to land.Apr 5 2018, 4:13 PM
This revision was automatically updated to reflect the committed changes.